---
title: 'get Set[@@species]'
slug: Web/JavaScript/Reference/Global_Objects/Set/@@species
tags:
  - ECMAScript 2015
  - JavaScript
  - Property
  - set
---
<div>{{JSRef}}</div>

<p>The <strong><code>Set[Symbol.species]</code></strong> accessor property returns the <code>Set</code> constructor.</p>

<h2 id="Description">Description</h2>

<p>The <code>species</code> accessor property returns the default constructor for <code>Set</code> objects. Subclass constructors may override it to change the constructor assignment.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Species_in_ordinary_objects">Species in ordinary objects</h3>

<p>The <code>species</code> property returns the default constructor function, which is the <code>Set</code> constructor for <code>Set</code> objects:</p>

<pre class="brush: js notranslate">Set[Symbol.species]; // function Set()</pre>

<h3 id="Species_in_derived_objects">Species in derived objects</h3>

<p>In a derived collection object (e.g. your custom set <code>MySet</code>), the <code>MySet</code> species is the <code>MySet</code> constructor. However, you might want to overwrite this, in order to return parent <code>Set</code> objects in your derived class methods:</p>

<pre class="brush: js notranslate">class MySet extends Set {
  // Overwrite MySet species to the parent Set constructor
  static get [Symbol.species]() { return Set; }
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-get-set-@@species', 'get Set [ @@species ]')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Set.@@species")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Set")}}</li>
 <li>{{jsxref("Symbol.species")}}</li>
</ul>
